#include <util/delay.h>
#include <avr/io.h>
#include <util/delay.h>
#include <rs232.h>
#include <stdio.h>
#include <stdint.h>




#define	SD_DO		7	
#define SD_DI		5
#define	SD_CLK		6
#define	SD_CS		4

#define POUT_SD		PORTD
#define	DDR_SD		DDRD
#define	PIN_SD		PIND




#define SET_BIT(PORT, BITNUM)    ((PORT) |=  (1<<(BITNUM)))
#define CLEAR_BIT(PORT, BITNUM)  ((PORT) &= ~(1<<(BITNUM)))


unsigned char sd_init(void);
void sd_write_byte(unsigned char write_byte);
unsigned char sd_read_byte(void);
unsigned char sd_send_command(volatile unsigned char *cmd);



#define nop()  __asm__ __volatile__ ("nop" ::)

volatile unsigned char buffer[512];
volatile unsigned char cmd[6]; 

#define CMD0		0x40;	// Reset
#define CMD1		0x41;	// goto Init-State
#define CMD17		0x51;	// Block_Read


